[PATCH 09 of 23 yams] [misc] remove super old backward compatibility code

Laurent Peuch cortex at worlddomination.be
Fri Feb 14 15:59:59 CET 2020


# HG changeset patch
# User Laurent Peuch <cortex at worlddomination.be>
# Date 1579704931 -3600
#      Wed Jan 22 15:55:31 2020 +0100
# Node ID 7e43b23c83e04632f9e0a39e15ad9b4c558dc9db
# Parent  0a22331e85d55b5403b1da3dcbb160b165b582b8
# Available At https://hg.logilab.org/users/lpeuch/yams
#              hg pull https://hg.logilab.org/users/lpeuch/yams -r 7e43b23c83e0
[misc] remove super old backward compatibility code

diff --git a/yams/reader.py b/yams/reader.py
--- a/yams/reader.py
+++ b/yams/reader.py
@@ -272,10 +272,6 @@ class SchemaLoader(object):
         return (modname, module)
 
 
-# XXX backward compatibility to prevent changing cw.schema and cw.test.unittest_schema (3.12.+)
-PyFileReader = SchemaLoader
-PyFileReader.__init__ = lambda *x: None
-
 
 def fill_schema_from_namespace(schema, items, **kwargs):
     erdefs = {}



More information about the cubicweb-devel mailing list